Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class Eval

    java.lang.Object
      groovy.util.Eval

    public class Eval
    extends Object

Allow easy integration from Groovy into Java through convenience methods.

Author:
  Dierk Koenig

Constructor Summary
Constructor and Description
`Eval()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`static Object` | `me(String expression)`
`static Object` | `me(String symbol, Object object, String expression)` evaluate expression and make object available inside the expression as 'symbol'
`static Object` | `x(Object x, String expression)` evaluate expression and make x available inside the expression as 'x'
`static Object` | `xy(Object x, Object y, String expression)` evaluate expression and make x and y available inside the expression as 'x' and 'y'
`static Object` | `xyz(Object x, Object y, Object z, String expression)` evaluate expression and make x,y,z available inside the expression as 'x','y','z'

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Eval

    public Eval()

Method Detail

### me

    public static Object me(String expression)
                     throws CompilationFailedException

  Parameters:
    `expression` - the Groovy expression to evaluate
  Returns:
    the result of the expression
  Throws:
    `CompilationFailedException` - if expression is no proper Groovy

### me

    public static Object me(String symbol,
                            Object object,
                            String expression)
                     throws CompilationFailedException

  evaluate expression and make object available inside the expression as 'symbol'

  Parameters:
    `expression` - the Groovy expression to evaluate
  Returns:
    the result of the expression
  Throws:
    `CompilationFailedException` - if expression is no proper Groovy

### x

    public static Object x(Object x,
                           String expression)
                    throws CompilationFailedException

  evaluate expression and make x available inside the expression as 'x'

  Parameters:
    `expression` - the Groovy expression to evaluate
  Returns:
    the result of the expression
  Throws:
    `CompilationFailedException` - if expression is no proper Groovy

### xy

    public static Object xy(Object x,
                            Object y,
                            String expression)
                     throws CompilationFailedException

  evaluate expression and make x and y available inside the expression as 'x' and 'y'

  Parameters:
    `expression` - the Groovy expression to evaluate
  Returns:
    the result of the expression
  Throws:
    `CompilationFailedException` - if expression is no proper Groovy

### xyz

    public static Object xyz(Object x,
                             Object y,
                             Object z,
                             String expression)
                      throws CompilationFailedException

  evaluate expression and make x,y,z available inside the expression as 'x','y','z'

  Parameters:
    `expression` - the Groovy expression to evaluate
  Returns:
    the result of the expression
  Throws:
    `CompilationFailedException` - if expression is no proper Groovy

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD